> ## Documentation Index
> Fetch the complete documentation index at: https://docs.julep.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete User Doc



## OpenAPI

````yaml https://api.julep.ai/api/openapi.json delete /users/{user_id}/docs/{doc_id}
openapi: 3.1.0
info:
  title: Julep Agents API
  description: API for Julep Agents
  termsOfService: https://www.julep.ai/terms
  contact:
    name: Julep
    url: https://www.julep.ai/
    email: developers@julep.ai
  version: 0.4.0
servers:
  - url: /api
security: []
paths:
  /users/{user_id}/docs/{doc_id}:
    delete:
      tags:
        - docs
      summary: Delete User Doc
      operationId: delete_user_doc_users__user_id__docs__doc_id__delete
      parameters:
        - name: doc_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Doc Id
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: User Id
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResourceDeletedResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ResourceDeletedResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        deleted_at:
          type: string
          format: date-time
          title: Deleted At
          readOnly: true
        jobs:
          items:
            type: string
            format: uuid
          type: array
          title: Jobs
          default: []
          readOnly: true
      type: object
      required:
        - id
        - deleted_at
      title: ResourceDeletedResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization

````